Bug 475095 - [EQ overflowing] UMS:M7:Mobility 7500 X fails to resume after suspended
[EQ overflowing] UMS:M7:Mobility 7500 X fails to resume after suspended
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 13:17 EST by Feng Yu
Modified: 2010-12-05 02:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:04:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log for the dead-lock resuming (77.35 KB, text/plain)
2008-12-07 13:20 EST, Feng Yu
no flags Details

  None (edit)
Description Feng Yu 2008-12-07 13:17:41 EST
Description of problem:

On a T42 machine with R200 card, DRI and composite enabled with compiz running,
X fails to resume after suspended.

Xorg.0.log has entries saying 'EQ full, goto an infinite loop',
with a backtrace has the names of drm and radeon_dri on the list.


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-59.fc10.i386
xorg-x11-server-utils-7.4-3.fc10.i386
compiz-0.7.6-17.fc10.i386
kernel-2.6.27.5-117.fc10.i686

How reproducible:

Always
Steps to Reproduce:
1. Suspend
2. Resume

  
Actual results:

X dead locks.
Expected results:
No dead lock.

Additional info:
Comment 1 Feng Yu 2008-12-07 13:20:59 EST
Created attachment 326049 [details]
Xorg log for the dead-lock resuming

This is the Xorg.0.log.
Comment 2 Matěj Cepl 2008-12-19 10:48:07 EST
Lovely :)

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812bc5b]
1: /usr/bin/Xorg(mieqEnqueue+0x289) [0x810b379]
2: /usr/bin/Xorg(xf86PostKeyboardEvent+0xa7) [0x80d3dd7]
3: /usr/lib/xorg/modules/input//evdev_drv.so [0x2efae0]
4: /usr/bin/Xorg [0x80bcdb7]
5: /usr/bin/Xorg [0x80ac91e]
6: [0x110400]
7: [0x110416]
8: /lib/libc.so.6(ioctl+0x19) [0xb32949]
9: /usr/lib/libdrm.so.2 [0x1b46cf]
10: /usr/lib/libdrm.so.2(drmCommandWriteRead+0x34) [0x1b4934]
11: /usr/lib/dri/radeon_dri.so [0x3af9b2]
12: /usr/lib/dri/radeon_dri.so [0x3afb38]
13: /usr/lib/dri/radeon_dri.so(radeonCopyBuffer+0x102) [0x3b1960]
14: /usr/lib/dri/radeon_dri.so(radeonSwapBuffers+0x57) [0x3aec0f]
15: /usr/lib/dri/radeon_dri.so [0x3ab9e6]
16: /usr/lib/xorg/modules/extensions//libglx.so [0x182504]
17: /usr/lib/xorg/modules/extensions//libglx.so [0x174cfe]
18: /usr/lib/xorg/modules/extensions//libglx.so [0x17863a]
19: /usr/bin/Xorg(Dispatch+0x34f) [0x8085e9f]
20: /usr/bin/Xorg(main+0x47d) [0x806b71d]
21: /lib/libc.so.6(__libc_start_main+0xe5) [0xa6d6d5]
22: /usr/bin/Xorg [0x806ab01]
Comment 4 Zdenek Kabelac 2009-09-16 05:12:00 EDT
Interesting - that I'm getting similar backtrace with Intel 

I've originally though it's 'standard' Intel GPU problem (and as such I've resigned to report these issue anymore...) - but when I see that same happens with Radeon - it looks more like design issue in the DRM.

The crash usually appears when I resume system and I play for a few minutes with it - like moving mouse over firefox - suddenly system stops to respond - except mouse keeps moving - everything else is dead on my display.

Looks similar to this post:

http://linux.derkeiler.com/Mailing-Lists/Kernel/2009-09/msg04062.html

This trace is from end of August with rawhide packages from this time.

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x28) [0x45efb8]
1: /usr/bin/X(mieqEnqueue+0x1f4) [0x457d64]
2: /usr/bin/X(xf86PostMotionEventP+0xde) [0x479bce]
3: /usr/lib64/xorg/modules/input/evdev_drv.so [0x7f71744bddff]
4: /usr/bin/X [0x46caf7]
5: /usr/bin/X [0x516a83]
6: /lib64/libpthread.so.0 [0x7f7189b48260]
7: /lib64/libc.so.6(ioctl+0x7) [0x7f71883d3cc7]
8: /usr/lib64/libdrm_intel.so.1(drm_intel_gem_bo_map_gtt+0x75) [0x7f71857c5cd5]
9: /usr/lib64/xorg/modules/drivers/intel_drv.so [0x7f7185a0be46]
10: /usr/lib64/xorg/modules/drivers/intel_drv.so [0x7f7185a2095e]
11: /usr/lib64/xorg/modules/drivers/intel_drv.so [0x7f7185a20e49]
12: /usr/bin/X [0x4d430c]
13: /usr/bin/X [0x42ad89]
14: /usr/bin/X [0x42d0f4]
15: /usr/bin/X [0x42233a]
16: /lib64/libc.so.6(__libc_start_main+0xfd) [0x7f7188319b8d]
17: /usr/bin/X [0x421ee9]

Link map:
0x7fffb14f6000: (vdso)
0x7f718a839000: /usr/lib64/libpciaccess.so.0
0x7f718a604000: /usr/lib64/libXfont.so.1
0x7f718a402000: /usr/lib64/libXau.so.6
0x7f718a1a7000: /usr/lib64/libpixman-1.so.0
0x7f7189f97000: /usr/lib64/libhal.so.1
0x7f7189d56000: /lib64/libdbus-1.so.3
0x7f7189b39000: /lib64/libpthread.so.0
0x7f7189934000: /usr/lib64/libXdmcp.so.6
0x7f71896e2000: /usr/lib64/libssl.so.8
0x7f7189358000: /usr/lib64/libcrypto.so.8
0x7f7189154000: /lib64/libdl.so.2
0x7f7188f3f000: /lib64/libz.so.1
0x7f7188d25000: /lib64/libaudit.so.0
0x7f7188b07000: /lib64/libselinux.so.1
0x7f7188882000: /lib64/libm.so.6
0x7f718867a000: /lib64/librt.so.1
0x7f71882fb000: /lib64/libc.so.6
0x7f7188060000: /usr/lib64/libfreetype.so.6
0x7f7187e59000: /usr/lib64/libfontenc.so.1
0x7f7187c55000: /lib64/libcap.so.2
0x7f718aa40000: /lib64/ld-linux-x86-64.so.2
0x7f7187a26000: /lib64/libgssapi_krb5.so.2
0x7f7187769000: /lib64/libkrb5.so.3
0x7f7187566000: /lib64/libcom_err.so.2
0x7f718733a000: /lib64/libk5crypto.so.3
0x7f7187136000: /lib64/libattr.so.1
0x7f7186f2d000: /lib64/libkrb5support.so.0
0x7f7186d2b000: /lib64/libkeyutils.so.1
0x7f7186b11000: /lib64/libresolv.so.2
0x7f71868ee000: /usr/lib64/xorg/modules/extensions/libextmod.so
0x7f71866ea000: /usr/lib64/xorg/modules/extensions/libdbe.so
0x7f7186483000: /usr/lib64/xorg/modules/extensions/libglx.so
0x7f7186281000: /usr/lib64/xorg/modules/extensions/librecord.so
0x7f7186077000: /usr/lib64/xorg/modules/extensions/libdri.so
0x7f7185e6d000: /usr/lib64/libdrm.so.2
0x7f7185c69000: /usr/lib64/xorg/modules/extensions/libdri2.so
0x7f71859c9000: /usr/lib64/xorg/modules/drivers/intel_drv.so
0x7f71857c0000: /usr/lib64/libdrm_intel.so.1
0x7f71855b4000: /usr/lib64/xorg/modules/input/synaptics_drv.so
0x7f71853ae000: /usr/lib64/xorg/modules/libvgahw.so
0x7f718518d000: /usr/lib64/xorg/modules/libfb.so
0x7f7174d10000: /usr/lib64/dri/i965_dri.so
0x7f7174914000: /usr/lib64/dri/libdricore.so
0x7f71746c4000: /lib64/libexpat.so.1
0x7f71744ba000: /usr/lib64/xorg/modules/input/evdev_drv.so
0x7f7174285000: /lib64/libnss_files.so.2
0x7f7171f87000: /lib64/libgcc_s.so.1



To make this more complete here are some kernel task traces:

X             R  running task        0  2066   2065 0x00400084
 ffff880137da5c38 0000000000000046 0000000000000046 ffff8801346d46c0
 ffffffff813dcb65 ffff880137da5c58 ffff88002bfd5898 0000000000000000
 ffff880137da5bc8 ffffffff8107d6b9 000000000000dfa8 00000000001d5880
Call Trace:
 [<ffffffff813dcb65>] ? _spin_unlock_irqrestore+0x65/0x80
 [<ffffffff8107d6b9>] ? trace_hardirqs_on_caller+0x29/0x1a0
 [<ffffffff8106982e>] ? prepare_to_wait+0x4e/0x80
 [<ffffffffa03384ee>] i915_wait_request+0x1ce/0x260 [i915]
 [<ffffffff813dab29>] ? __mutex_lock_common+0x369/0x4a0
 [<ffffffff81069540>] ? autoremove_wake_function+0x0/0x40
 [<ffffffffa03399dc>] ? i915_gem_set_domain_ioctl+0xac/0x130 [i915]
 [<ffffffffa033864b>] i915_gem_object_wait_rendering+0x3b/0x50 [i915]
 [<ffffffffa0339700>] i915_gem_object_set_to_gtt_domain+0x40/0x90 [i915]
 [<ffffffffa03399fa>] i915_gem_set_domain_ioctl+0xca/0x130 [i915]
 [<ffffffffa0304f86>] drm_ioctl+0x176/0x390 [drm]
 [<ffffffffa0339930>] ? i915_gem_set_domain_ioctl+0x0/0x130 [i915]
 [<ffffffff813dcbb0>] ? _spin_unlock_irq+0x30/0x60
 [<ffffffff8107d6b9>] ? trace_hardirqs_on_caller+0x29/0x1a0
 [<ffffffff8107d83d>] ? trace_hardirqs_on+0xd/0x10
 [<ffffffff8111c1fc>] vfs_ioctl+0x7c/0xa0
 [<ffffffff8111c344>] do_vfs_ioctl+0x84/0x590
 [<ffffffff8100cc2d>] ? retint_swapgs+0xe/0x13
 [<ffffffff8111c8d1>] sys_ioctl+0x81/0xa0
 [<ffffffff8100c15b>] system_call_fastpath+0x16/0x1b

i915/1        S ffff88002c1ba980     0  7315      2 0x00000080
 ffff8801347e5de0 0000000000000046 0000000000000046 ffff8800b062a360
 ffffffff813dcb65 ffff8801347e5e50 ffffffffa0338730 ffff88002c1ba980
 ffff8801347e5d70 ffffffff8107d6b9 000000000000dfa8 00000000001d5880
Call Trace:
 [<ffffffff813dcb65>] ? _spin_unlock_irqrestore+0x65/0x80
 [<ffffffffa0338730>] ? i915_gem_retire_work_handler+0x0/0xa0 [i915]
 [<ffffffff8107d6b9>] ? trace_hardirqs_on_caller+0x29/0x1a0
 [<ffffffff8106982e>] ? prepare_to_wait+0x4e/0x80
 [<ffffffffa0338730>] ? i915_gem_retire_work_handler+0x0/0xa0 [i915]
 [<ffffffff810652c5>] worker_thread+0x2d5/0x3f0
 [<ffffffff81065183>] ? worker_thread+0x193/0x3f0
 [<ffffffff81069540>] ? autoremove_wake_function+0x0/0x40
 [<ffffffff81064ff0>] ? worker_thread+0x0/0x3f0
 [<ffffffff810690e6>] kthread+0xa6/0xb0
 [<ffffffff8100d2da>] child_rip+0xa/0x20
 [<ffffffff813dcbb0>] ? _spin_unlock_irq+0x30/0x60
 [<ffffffff8100cc40>] ? restore_args+0x0/0x30
 [<ffffffff81069040>] ? kthread+0x0/0xb0
 [<ffffffff8100d2d0>] ? child_rip+0x0/0x20


Recently I've noticed on the kernel list that there was  potentially wrong code for resume on i915 agp drive - not really sure if this is connected/applieable to my i965 - so I'll wait if it will lower the amount of my resume problems.
Comment 5 Bug Zapper 2009-11-16 04:42:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Vedran Miletić 2009-11-16 09:20:16 EST
Updating summary.

Is this really a kernel bug?
Comment 7 Bug Zapper 2010-11-04 07:37:57 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-05 02:04:43 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.